.navigation {
  background-color: $light-grey-2;
  padding-bottom: 1.5rem;
  overflow: hidden;
  position: absolute;
  z-index: 1;
  width: 100%;
   animation: fadeIn 3s 5s backwards;
  @include respond(phone) {
    background-color: transparent;
    padding-bottom: 0;
    box-shadow: 0 0.3rem 0.6rem 0 rgba($black, 0.16);
    animation:none
  }
  &__container {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: $white;
    padding: 0.4rem 0 0.6rem;
    @include respond(phone) {
      // display: none;
    }
  }
  &__logo {
    @extend .col-2;
    display: flex;
    align-items: center;
    margin-right: 4rem;
    position: static;
    img {
      width: 5rem;
    }
    @include respond(phone) {
      flex: 0 0 calc((100% / 12) * 6);
      max-width: calc((100% / 12) * 6);
      margin: 0;
      justify-content: center;
      flex-wrap: wrap;
    }
    &--img {
      margin-left: 1rem;
      // width: 5rem;
      position: absolute;
      transform: translate(-315%, 65%);
      z-index: 1000;
       animation: fadeOut 3s 1s forwards, goTop 3s 5s forwards;
      @include respond(phone) {
        display: none;
      }
    }
    &--text {
      color: $theme;
      font-weight: 900;
      font-size: 4rem;
      margin-right: 6rem;
      @include respond(phone) {
        width: 100%;
        text-align: center;
        font-weight: 500;
        font-size: 2.5rem;
        margin: 0;
      }
    }
  }
  &__nav {
    @extend .col-6;
    height: 100%;
    margin-right: 4rem;
    @include respond(phone) {
      display: none;
    }
  }
  &__list {
    list-style: none;
    justify-content: space-between;
    @extend .nav-center;
    @include respond(phone) {
      display: block;
      height: 100vh;
      top: 0;
      left: 0;
      z-index: 1500;
      opacity: 0;
      width: 0;
      transition: all 0.8s cubic-bezier(0.68, -0.55, 0.265, 1.55);
      position: absolute;
      margin: -100px 0 0 -50px;
      padding: 50px;
      padding-top: 125px;
      background: #ededed;
      list-style-type: none;
      transition: -webkit-transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1);
      transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1);
      transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1),
        -webkit-transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1);
    }
  }
  &__item {
  }
  &__link {
    &:link,
    &:visited {
      text-decoration: none;
      @extend .nav-link;
    }
  }
  &__account {
    @extend .nav-center;
    @extend .col-3;
    display: flex;
    justify-content: center;
    @include respond(phone) {
      display: none;
    }
    &--img {
      background: url("../img/svg/person.svg") no-repeat;
      width: 3rem;
      height: 3rem;
    }
    &--btn {
      @extend .nav-link;
      text-align: right;
    }
  }
  &__menu {
    @include respond(phone) {
      flex: 0 0 calc((100% / 12) * 3);
      max-width: calc((100% / 12) * 3);
      position: relative;
      width: 100%;
      min-height: 1px;
      padding-right: 1rem;
      padding-left: 1rem;
      align-self: stretch;
      &--input {
        display: none;
      }
      &--input:checked ~ .navigation__list {
        transform: none;
        opacity: 1;
        width: 100%;
      }
      &--icon {
        background: url(../../img/svg/menu.svg) no-repeat;
        height: 100%;
        width: 100%;
        position: absolute;
        top: 23%;

        z-index: 2000;
        text-align: center;
      }
    }
  }
  &__responsive-menu {
    display: none;
    @include respond(phone) {
      display: flex;
      align-items: center;
      justify-content: center;
      flex: 0 0 calc((100% / 12) * 3);
      max-width: calc((100% / 12) * 3);
      margin: 0;
      padding-left: 4rem;
    }
    &--box {
    }
    &--icon {
      background: url(../../img/svg/menu.svg) no-repeat;
      height: 3.4rem;
      width: 3.4rem;
      z-index: 1;
      text-align: center;
    }
    .main-menu {
      position: fixed;
      display: none;
      right: -200px; 
      top: 0;
      height: 100%;
      overflow-y: scroll;
      overflow-x: visible;
      transition: all 0.3s ease;
      z-index: 999;
      &:target,
      &[aria-expanded="true"] {
        display: block;
        right: 0;
        outline: none;
        &--close {
          z-index: 1001;
        }
        &__list {
          position: relative;
          z-index: 1000;
        }
      }
      &--close {
        padding: 0rem 01.1rem;
        position: absolute;
        right: 1.2rem;
        top: 1.2rem;
        border-radius: 50%;
        background-color: #f7d800;
        color: #fff;
        font-size: 2.6rem;
        z-index: 2;
      }
      &__login {
        background:$theme;
        width: 100%;
        height: 20rem;
        position: relative;
        &::after{
          content: "";
          background: url(../../img/menu-wave.png) no-repeat 100% 65%/101%;
          position: absolute;
          width: 117%;
          bottom: -4rem;
          right: -5rem;
          height: 100%;
          z-index: 1;
        }
      }
      &__list {
        list-style: none;
        padding-top: 3rem;
        min-height: 100%;
        width: 85vw;
        background: $white;
        font-size: 1.6rem;
        font-weight: 500;
        position: relative;
        &::after {
          content: "";
          width: 2rem;
          height: 90%;
          position: absolute;
          top: 0.4rem;
          left: 0;
          background-color: rgba($yellow, 0.5);
          border-top-right-radius: 2rem;
          border-bottom-right-radius: 2rem;
        }
      }
      &__item {
        display: flex;
        align-items: center;
        padding: 2rem 1.5rem;
        &:nth-last-child(3) {
          border-top: 1px solid $theme;
        }
        a {
          display: block;
          padding: 0.5rem 1rem 0;
          line-height: 1em;
          font-size: 1.3em;
          color: $dark-grey-3;
        }
        &--img {
          width: 5rem;
        }
      }
    }
    .main-menu:target + .backdrop,
    .main-menu[aria-expanded="true"] + .backdrop {
      position: absolute;
      display: block;
      left: 0;
      top: 0;
      width: 100%;
      height: 100%;
      z-index: 998;
      background: rgba(0, 0, 0, 0.5);
      cursor: default;
    }
  }
  &__contact {
    display: none;
    @include respond(phone) {
      display: flex;
      justify-content: center;
      flex: 0 0 calc((100% / 12) * 3);
      max-width: calc((100% / 12) * 3);
      position: relative;
      width: 100%;
      min-height: 1px;
      padding-right: 4rem;
    }
  }
}
